Gestor de base de dados

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Gestor de base de dados

Luís Brás

Bom dia,

 

Após as últimas atualizações, descobri que não é possível gerir bases de dados postgres no "gestor de base de dados". Na versão 2.18 está disponível, mas na 3.10-12 não.


Obrigado.

 

Luís Brás

Município de Vila Nova de Gaia

Divisão de Mobilidade e Transportes


_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt
Reply | Threaded
Open this post in threaded view
|

Re: Gestor de base de dados

Giovanni Manghi
Bom dia,

On Thu, Feb 27, 2020 at 9:00 AM Luís Brás <[hidden email]> wrote:
>
> Bom dia,
> Após as últimas atualizações, descobri que não é possível gerir bases de dados postgres no "gestor de base de dados". Na versão 2.18 está disponível, mas na 3.10-12 não.
>

pode ser um pouco mais especifico? qual é a mensagem de erro que
aparece (possivelmente em inglês)?

Cumprimentos

--
Giovanni Manghi
http://naturalgis.pt/
[hidden email]
* QGIS/PostGIS Training
* QGIS Support and Consulting
* QGIS development
Google+/Hangouts: [hidden email]
Giovanni is QGIS main tester and active member of its development team
--
_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt
Reply | Threaded
Open this post in threaded view
|

Re: Gestor de base de dados

Bruno Moreira
Bom dia, utilizo o QGIS 3.10 (macOS) com base de dados postgres/postgis local. Nesta versão ainda não havia testado o gestor BD. Testei com o formato dxf e:

        - na importação de ficheiro dxf para base de dados não existe nenhum problema;
        - na exportação de uma camada para ficheiro dxf ocorre-me um erro (não sei se o mesmo do colega):

"Erro 5: Falha na criação de campo id (erro OGR: DXF layer does not support arbitrary field creation, field 'id' not created.)”

Consigo, contudo, exportar para dxf fora do gestor de BD (clique direito na camada, exportar, dxf) – que é o método que tenho utilizado.

Cumprimentos,
Bruno Moreira.

> No dia 27/02/2020, às 09:09, Giovanni Manghi <[hidden email]> escreveu:
>
> Bom dia,
>
> On Thu, Feb 27, 2020 at 9:00 AM Luís Brás <[hidden email]> wrote:
>>
>> Bom dia,
>> Após as últimas atualizações, descobri que não é possível gerir bases de dados postgres no "gestor de base de dados". Na versão 2.18 está disponível, mas na 3.10-12 não.
>>
>
> pode ser um pouco mais especifico? qual é a mensagem de erro que
> aparece (possivelmente em inglês)?
>
> Cumprimentos
>
> --
> Giovanni Manghi
> http://naturalgis.pt/
> [hidden email]
> * QGIS/PostGIS Training
> * QGIS Support and Consulting
> * QGIS development
> Google+/Hangouts: [hidden email]
> Giovanni is QGIS main tester and active member of its development team
> --
> _______________________________________________
> QGIS-pt mailing list
> [hidden email]
> https://lists.osgeo.org/mailman/listinfo/qgis-pt

_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt
Reply | Threaded
Open this post in threaded view
|

Re: Gestor de base de dados

Luís Brás
Para não estar sempre a instalar novas versões utilizo o OSGeo4W para ir atualizando. Não tenho instalado o postgres/postgis local pois utilizo os servidores da informática.

Vou tentar instalar a versão standalone como fiz com a versão 2.18.

On Thu, Feb 27, 2020 at 9:43 AM Bruno Moreira <[hidden email]> wrote:
Bom dia, utilizo o QGIS 3.10 (macOS) com base de dados postgres/postgis local. Nesta versão ainda não havia testado o gestor BD. Testei com o formato dxf e:

        - na importação de ficheiro dxf para base de dados não existe nenhum problema;
        - na exportação de uma camada para ficheiro dxf ocorre-me um erro (não sei se o mesmo do colega):

"Erro 5: Falha na criação de campo id (erro OGR: DXF layer does not support arbitrary field creation, field 'id' not created.)”

Consigo, contudo, exportar para dxf fora do gestor de BD (clique direito na camada, exportar, dxf) – que é o método que tenho utilizado.

Cumprimentos,
Bruno Moreira.

> No dia 27/02/2020, às 09:09, Giovanni Manghi <[hidden email]> escreveu:
>
> Bom dia,
>
> On Thu, Feb 27, 2020 at 9:00 AM Luís Brás <[hidden email]> wrote:
>>
>> Bom dia,
>> Após as últimas atualizações, descobri que não é possível gerir bases de dados postgres no "gestor de base de dados". Na versão 2.18 está disponível, mas na 3.10-12 não.
>>
>
> pode ser um pouco mais especifico? qual é a mensagem de erro que
> aparece (possivelmente em inglês)?
>
> Cumprimentos
>
> --
> Giovanni Manghi
> http://naturalgis.pt/
> [hidden email]
> * QGIS/PostGIS Training
> * QGIS Support and Consulting
> * QGIS development
> Google+/Hangouts: [hidden email]
> Giovanni is QGIS main tester and active member of its development team
> --
> _______________________________________________
> QGIS-pt mailing list
> [hidden email]
> https://lists.osgeo.org/mailman/listinfo/qgis-pt

_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt

_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt
Reply | Threaded
Open this post in threaded view
|

Re: Gestor de base de dados

Giovanni Manghi-3
Aqui usamos basicamente só osgeo4w, a presença local de uma instalação
de PostgreSQL/PostGIS não é um factor.

Cumprimentos

--
Giovanni Manghi
http://naturalgis.pt/
[hidden email]
* QGIS/PostGIS Training
* QGIS Support and Consulting
* QGIS development
Google+/Hangouts: [hidden email]
Giovanni is QGIS main tester and active member of its development team
--



On Thu, Feb 27, 2020 at 10:11 AM Luís Brás <[hidden email]> wrote:
>
> Para não estar sempre a instalar novas versões utilizo o OSGeo4W para ir atualizando. Não tenho instalado o postgres/postgis local pois utilizo os servidores da informática.
>
> Vou tentar instalar a versão standalone como fiz com a versão 2.18.
_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt
Reply | Threaded
Open this post in threaded view
|

Re: Gestor de base de dados

Luís Brás
Após a instalação da versão standalone já aparece.
Na instalação por osgeo4w deve faltar alguma opção.
image.png

On Thu, Feb 27, 2020 at 10:14 AM Giovanni Manghi <[hidden email]> wrote:
Aqui usamos basicamente só osgeo4w, a presença local de uma instalação
de PostgreSQL/PostGIS não é um factor.

Cumprimentos

--
Giovanni Manghi
http://naturalgis.pt/
[hidden email]
* QGIS/PostGIS Training
* QGIS Support and Consulting
* QGIS development
Google+/Hangouts: [hidden email]
Giovanni is QGIS main tester and active member of its development team
--



On Thu, Feb 27, 2020 at 10:11 AM Luís Brás <[hidden email]> wrote:
>
> Para não estar sempre a instalar novas versões utilizo o OSGeo4W para ir atualizando. Não tenho instalado o postgres/postgis local pois utilizo os servidores da informática.
>
> Vou tentar instalar a versão standalone como fiz com a versão 2.18.
_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt

_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt